import { StatusBar } from 'expo-status-bar';
import * as React from 'react';
import 'react-native-gesture-handler';
import { NavigationContainer } from '@react-navigation/native';
import { createNativeStackNavigator } from '@react-navigation/native-stack';

import ScreenHome from './screens/ScreenHome';
import ScreenProfile from './screens/ScreenProfile';
import ScreenMassa from './screens/ScreenMassa';
import ScreenSuhu from './screens/ScreenSuhu';
import ScreenPuasa from './screens/ScreenPuasa';
import ScreenTensi from './screens/ScreenTensi';
import ScreenGula from './screens/ScreenGula';

const Stack = createNativeStackNavigator();

const App = () => {
  return (
    <NavigationContainer>
      <Stack.Navigator initialRouteName="Home">
        <Stack.Screen name="Home" component={ScreenHome} />
        <Stack.Screen name="Profile" component={ScreenProfile} />
        <Stack.Screen name="Massa" component={ScreenMassa} />
        <Stack.Screen name="Suhu" component={ScreenSuhu} />
        <Stack.Screen name="Puasa" component={ScreenPuasa} />
        <Stack.Screen name="Tensi" component={ScreenTensi} />
        <Stack.Screen name="Gula" component={ScreenGula} />
      </Stack.Navigator>
    </NavigationContainer>
  );
};

export default App;
